List Project Data Sources
curl --request GET \
--url https://api.example.com/v1/projects/{project_id}/data-sources \
--header 'x-api-key: <api-key>' \
--header 'x-selected-account-id: <api-key>'import requests
url = "https://api.example.com/v1/projects/{project_id}/data-sources"
headers = {
"x-api-key": "<api-key>",
"x-selected-account-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-selected-account-id': '<api-key>'}
};
fetch('https://api.example.com/v1/projects/{project_id}/data-sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"project_id": "<string>",
"name": "<string>",
"provider_type": "<string>",
"data_sources_data_source_id": "<string>",
"data_sources_subscription_id": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "data_source",
"workflow_id": "<string>",
"workflow_status": "<string>",
"config_metadata": {},
"last_delta_cursor": "<string>",
"last_event_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Data sources
List Project Data Sources
GET
/
v1
/
projects
/
{project_id}
/
data-sources
List Project Data Sources
Authorizations
API key for authentication
Selected Account ID
Path Parameters
Query Parameters
Available options:
active, paused, disabled, deleted Response
Successful Response
ID of the entity
ID of the project
Provider discriminator (e.g. sharepoint); aligned with Data Sources values
Remote data source id in the Data Sources service
Active subscription id in the Data Sources service
Available options:
active, paused, disabled, deleted Allowed value:
"data_source"Workflow triggered by this linked data source.
Status of the workflow triggered by this linked data source.

